use leptos::*;
use leptos_router::*;

use super::series::{add::AddSeries, DeleteSeries, SeriesList};
use crate::app::auth::Protected;

#[component]
pub fn HomePage() -> impl IntoView {
    let add_series = create_server_action::<AddSeries>();
    let delete_series = create_server_action::<DeleteSeries>();

    provide_context(add_series);
    provide_context(delete_series);

    view! {
        <Protected />
        <div class="row">
            <div class="col">
                <SeriesList />
            </div>
            <div class="col">
                <Outlet />
            </div>
        </div>
    }
}
