use anyhow::format_err;
use rust_embed::RustEmbed;

#[derive(RustEmbed)]
#[folder = "sql/"]
pub struct Asset;

pub fn load_statement<S: AsRef<str>>(asset: S) -> String {
    let asset = asset.as_ref();
    let loaded = Asset::get(asset)
        .ok_or_else(|| format_err!("Could not load SQL asset, {asset}!"))
        .unwrap();
    String::from_utf8(loaded.data.to_vec()).expect(&format!(
        "SQL asset, {asset}, could not be parsed as UTF-8!"
    ))
}
